commit 2b4adfe47fca4a22970911522d150992f072d93a
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Oct 20 02:18:20 2021

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 24ba235acac..17461b15973 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20211019
+20211020
diff --git a/gcc/fortran/ChangeLog b/gcc/fortran/ChangeLog
index fe0287369ad..71a1fbd3f62 100644
--- a/gcc/fortran/ChangeLog
+++ b/gcc/fortran/ChangeLog
@@ -1,3 +1,13 @@
+2021-10-19  Tobias Burnus  <tobias@codesourcery.com>
+
+	Backported from master:
+	2021-10-18  Tobias Burnus  <tobias@codesourcery.com>
+
+	PR fortran/102745
+	* intrinsic.c (gfc_convert_type_warn): Fix checks by checking CLASS
+	and do typcheck in correct order for type extension.
+	* misc.c (gfc_typename): Print proper not internal CLASS type name.
+
 2021-10-17  Harald Anlauf  <anlauf@gmx.de>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 37ea7e5a3d5..f547513fcdb 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2021-10-19  Tobias Burnus  <tobias@codesourcery.com>
+
+	Backported from master:
+	2021-10-18  Tobias Burnus  <tobias@codesourcery.com>
+
+	PR fortran/102745
+	* gfortran.dg/class_72.f90: New.
+
 2021-10-18  Uroš Bizjak  <ubizjak@gmail.com>
 
 	PR target/102761
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 5895681d9c9..bfc7f6c3d91 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,13 @@
+2021-10-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2021-10-19  Jonathan Wakely  <jwakely@redhat.com>
+
+	* doc/Makefile.am (stamp-html-doxygen, stamp-html-doxygen)
+	(stamp-latex-doxygen, stamp-man-doxygen): Fix recipes for
+	relative ${top_srcdir}.
+	* doc/Makefile.in: Regenerate.
+
 2021-10-14  Jonathan Wakely  <jwakely@redhat.com>
 
 	Backported from master:

